For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get public keys

Retrieve public keys associated with your account. Use this endpoint to view available SSH keys for VPS authentication.

Get public keys

get

Retrieve public keys associated with your account.

Use this endpoint to view available SSH keys for VPS authentication.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/vps/v1/public-keys
GET /api/vps/v1/public-keys HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 325,
      "name": "My public key",
      "key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQD..."
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?